Bug 28988 - Reindent calendar template
Summary: Reindent calendar template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28963
  Show dependency treegraph
 
Reported: 2021-09-09 18:27 UTC by Owen Leonard
Modified: 2021-10-22 13:56 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28988: Reindent calendar template (52.61 KB, patch)
2021-09-09 18:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29899: (follow-up) Add markup comments (5.14 KB, patch)
2021-09-09 18:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28988: Reindent calendar template (52.65 KB, patch)
2021-09-12 16:24 UTC, David Nind
Details | Diff | Splinter Review
Bug 29899: (follow-up) Add markup comments (5.19 KB, patch)
2021-09-12 16:24 UTC, David Nind
Details | Diff | Splinter Review
Bug 28988: Reindent calendar template (52.72 KB, patch)
2021-09-26 11:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28988: (follow-up) Add markup comments (5.25 KB, patch)
2021-09-26 11:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-09 18:27:33 UTC
I would like to update the calendar template so that it has consistent indentation. It also needs to have some trailing spaces removed.
Comment 1 Owen Leonard 2021-09-09 18:45:00 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-09-09 18:45:04 UTC Comment hidden (obsolete)
Comment 3 David Nind 2021-09-12 16:24:36 UTC Comment hidden (obsolete)
Comment 4 David Nind 2021-09-12 16:24:51 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2021-09-26 11:15:23 UTC
Created attachment 125318 [details] [review]
Bug 28988: Reindent calendar template

This patch performs general template cleanup to the calendar template:
Make indentation consistent and trim trailing whitespace.

To test, apply the patch and go to Tools -> Calendar.

The page should look correct and work correctly. If you view the diff
while ignoring whitespace the only changes should be where line breaks
were introduced.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-09-26 11:15:27 UTC
Created attachment 125319 [details] [review]
Bug 28988: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

https://bugs.koha-community.org/show_bug.cgi?id=28988

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-09-26 11:16:19 UTC
Fixed the bug number on the follow-up patch.

Something spotted while testing: we have a really heavy grey border around the options for adding/editing a calendar entry that doesn't quite fit with the background.
Comment 8 Jonathan Druart 2021-09-29 10:21:51 UTC
Unfortunately there are several accessibility patches in the queue currently that are modifying this template.
Comment 9 Owen Leonard 2021-09-30 17:01:02 UTC
(In reply to Jonathan Druart from comment #8)
> Unfortunately there are several accessibility patches in the queue currently
> that are modifying this template.

I've tried to move Bug 27631 along (Accessibility: Staff Client - <h1> on each page is Logo but should be page description/title). I rebased and signed off on the existing patches and submitted a follow-up that addresses the concerns which led me to mark it Failed QA.

Other patches in that series don't apply anymore.
Comment 10 Katrin Fischer 2021-10-10 12:21:18 UTC
I believe that the heading issue on the accessilibity patch set would not be a difficult one to fix if we pushed this first, so I'd say let's move forward with this and flatpickr for now. Both accessibility and the date widget switch are things we want to push forward.
Comment 11 Jonathan Druart 2021-10-12 09:18:49 UTC
Pushed to master for 21.11, thanks to everybody involved!